def romanize number
  roman_numerals = {
    'M' => 1000,
    'D' => 500,
    'CD' => 400,
    'C' => 100,
    'L' => 50,
    'XL' => 40,
    'X' => 10,
    'V' => 5,
    'IV' => 4,
    'I' => 1
  }
  numeral = ''
  if number > 3999 || number < 1
    return 'Invalid number. Cannot be converted to Roman Numerals.'
  else
    roman_numerals.each { |k,v|
      numeral << k * (number/v)
      number = number % v
    }
  end
  return numeral
end
